> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/python/dbaas-mongodb/api/restoresapi.md).

# RestoresApi

## RestoresApi

All URIs are relative to *<https://api.ionos.com/databases/mongodb>*

| Method                                                | HTTP request                           | Description                   |
| ----------------------------------------------------- | -------------------------------------- | ----------------------------- |
| [**clusters\_restore\_post**](#clusters_restore_post) | **POST** /clusters/{clusterId}/restore | In-place restore of a cluster |

## **clusters\_restore\_post**

> clusters\_restore\_post(cluster\_id, create\_restore\_request)

In-place restore of a cluster

Triggers an in-place restore of the given MongoDB cluster.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud_dbaas_mongo
from ionoscloud_dbaas_mongo.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/databases/mongodb
configuration = ionoscloud_dbaas_mongo.Configuration(
    host = 'https://api.ionos.com/databases/mongodb',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud_dbaas_mongo.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud_dbaas_mongo.RestoresApi(api_client)
    cluster_id = 'cluster_id_example' # str | The unique ID of the cluster.
    create_restore_request = ionoscloud_dbaas_mongo.CreateRestoreRequest() # CreateRestoreRequest | The restore request to create.
    try:
        # In-place restore of a cluster
        api_instance.clusters_restore_post(cluster_id, create_restore_request)
    except ApiException as e:
        print('Exception when calling RestoresApi.clusters_restore_post: %s\n' % e)
```

#### Parameters

| Name                         | Type                                                                                   | Description                    | Notes |
| ---------------------------- | -------------------------------------------------------------------------------------- | ------------------------------ | ----- |
| **cluster\_id**              | **str**                                                                                | The unique ID of the cluster.  |       |
| **create\_restore\_request** | [**CreateRestoreRequest**](/cloud/python/dbaas-mongodb/models/createrestorerequest.md) | The restore request to create. |       |

#### Return type

void (empty response body)

#### Authorization

basicAuth, tokenAuth

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/python/dbaas-mongodb/api/restoresapi.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
